Name:           toolshed
Version:        20150416hg6f0dcb7087fe
Release:        3%{?dist}
Summary:        Cross-development toolkit for use with the Tandy Color Computer

Group:          Development/Tools
License:        Public Domain
URL:            http://sourceforge.net/projects/toolshed/
Source0:        %{name}-%{version}-noroms.tar.gz
# toolshed contains disassmbled code that we cannot ship.  Therefore we use
# this script to remove the disassmbled code before shipping it.
# Generate the Mercurial snapshot from the SourceForge repository:
# hg archive -t tgz toolshed-<date>hg<hash>.tar.gz
# Now invoke this script while in the tarball's directory:
# ./generate-tarball.sh <date>hg<hash>
Source1: generate-tarball.sh

Patch0: toolshed-printf-format.patch

BuildRequires:  fuse-devel

%package doc
Summary:        Documentation for ToolShed
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}


%description
ToolShed is a package of utilities to perform cross-development from
Windows, Linux or Mac OS X computers to the Tandy Color Computer and
Dragon microcomputers. Tools are included to read/write both OS-9 RBF
disk images and CoCo Disk BASIC disk images, create WAV and CAS files
and much more.

%description doc
Documentation files from the ToolShed project.


%prep
%setup -q

%patch0 -p1

# Turn-off weird doc permissions...
chmod 0644 doc/*


%build
make %{?_smp_mflags} CFLAGS="%{optflags} -I../../../include -DSYSV" \
        -C build/unix


%install
mkdir -p %{buildroot}%{_bindir}
make %{?_smp_mflags} -C build/unix install INSTALLDIR=%{buildroot}%{_bindir}


%files
%{_bindir}/*

%files doc
%doc doc/ToolShed.doc
%doc "doc/The Mamou Assembler.doc"


%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 20150416hg6f0dcb7087fe-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20150416hg6f0dcb7087fe-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 16 2015 John W. Linville <linville@tuxdriver.com> 20150416hg6f0dcb7087fe-1
- Initial import
